#include<stdio.h>
#include<math.h>
int del(int a,int b)
{
return a*pow(10,b);
}
main()
{
int d[]={1,2,5},k=0,i=0,p[20],z=-1,l=0;
int V;
scanf("%d",&V);
do{
z++;
p[z]=del(d[i],k);
if(i==2)
i=0,k++;
else
i++;
}
while(V>=p[z]);
while(V!=0)
{
while(V>=p[z])
{
l++,V-=p[z];
}
z--;
}
printf("\n%d",l);
}